
TextCritical.net - Bug #2547

media is not being served when debug is disabled

12/24/2019 06:38 AM - Luke Murphey

Status: Closed Start date: 12/24/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.1   

Description

History

#1 - 12/24/2019 06:40 AM - Luke Murphey

- Subject changed from media is not being served to media is not being served when debug is disabled

#2 - 12/24/2019 07:00 AM - Luke Murphey

collectstatic doesn't currently collect static files for the built-in apps.

Questions:

How do I get my static files registered?

See https://scotch.io/tutorials/working-with-django-templates-static-files

Why are static files still not getting registered?

How do I get the container to output the files?

Could use nginx: https://uwsgi-docs.readthedocs.io/en/latest/tutorials/Django_and_nginx.html

How do I get the container to serve the files despite not being in debug mode?

#3 - 12/24/2019 07:06 AM - Luke Murphey

- Parent task deleted (#2541)

#4 - 12/24/2019 07:47 AM - Luke Murphey

- Target version changed from 3.1 to 3.2

#5 - 01/01/2020 01:10 AM - Luke Murphey

- Target version changed from 3.2 to 3.1

#6 - 01/01/2020 01:11 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
